<?php
/**
 * @file
 * popsu_villes.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function popsu_villes_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "boxes" && $api == "box") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  list($module, $api) = func_get_args();
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function popsu_villes_views_api() {
  return array("version" => "3.0");
}

/**
 * Implements hook_image_default_styles().
 */
function popsu_villes_image_default_styles() {
  $styles = array();

  // Exported image style: popsu-villes-grande-image.
  $styles['popsu-villes-grande-image'] = array(
    'name' => 'popsu-villes-grande-image',
    'effects' => array(
      2 => array(
        'label' => 'Adaptive',
        'help' => 'Adaptive image scale according to client resolution.',
        'effect callback' => 'image_scale_effect',
        'dimensions callback' => 'image_scale_dimensions',
        'form callback' => 'adaptive_image_scale_form',
        'summary theme' => 'adaptive_image_scale_summary',
        'module' => 'adaptive_image',
        'name' => 'adaptive_image',
        'data' => array(
          'resolutions' => '1382, 992, 768, 480',
          'mobile_first' => 1,
          'height' => '',
          'width' => '1382',
          'upscale' => '',
        ),
        'weight' => '2',
      ),
    ),
  );

  // Exported image style: popsu-villes-listing-small.
  $styles['popsu-villes-listing-small'] = array(
    'name' => 'popsu-villes-listing-small',
    'effects' => array(
      5 => array(
        'label' => 'Mise à l’échelle et recadrage',
        'help' => 'La mise à l\'échelle et le recadrage maintiendront les proportions originales de l\'image puis recadreront la dimension la plus large. C\'est très utile pour créer des vignettes carrées sans étirer les images.',
        'effect callback' => 'image_scale_and_crop_effect',
        'dimensions callback' => 'image_resize_dimensions',
        'form callback' => 'image_resize_form',
        'summary theme' => 'image_resize_summary',
        'module' => 'image',
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => '101',
          'height' => '87',
        ),
        'weight' => '1',
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function popsu_villes_node_info() {
  $items = array(
    'popsu_ville' => array(
      'name' => t('Fiche ville'),
      'base' => 'node_content',
      'description' => t('Ce type de contenu permet de créer la fiche de présentation d\'une ville pour un POPSU donné.'),
      'has_title' => '1',
      'title_label' => t('Nom de la ville'),
      'help' => '',
    ),
  );
  return $items;
}
